# Packet Struct Reference

This represents a user message from another system. More...

`#include <RakNetTypes.h>`

List of all members.

## Public Attributes

SystemIndex | systemIndex
| Server only - this is the index into the player array that this systemAddress maps to.
SystemAddress | systemAddress
| The system that send this packet.
RakNetGUID | guid
unsigned int | length
BitSize_t | bitSize
| The length of the data in bits.
unsigned char * | data
| The data from the sender.

## Detailed Description

This represents a user message from another system.

## Member Data Documentation

RakNetGUID Packet::guid

A unique identifier for the system that sent this packet, regardless of IP address (internal / external / remote system) Only valid once a connection has been established (ID_CONNECTION_REQUEST_ACCEPTED, or ID_NEW_INCOMING_CONNECTION) Until that time, will be UNASSIGNED_RAKNET_GUID

unsigned int Packet::length

The length of the data in bytes

Deprecated:
  You should use bitSize.

The documentation for this struct was generated from the following file:

- C:/RakNet/Source/RakNetTypes.h